/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.casemember.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.casemember.entity.CaseMember;
import com.jeeplus.modules.casemember.dao.CaseMemberDao;

/**
 * 会员案例Service
 * @author lw
 * @version 2018-04-19
 */
@Service
@Transactional(readOnly = true)
public class CaseMemberService extends CrudService<CaseMemberDao, CaseMember> {

	public CaseMember get(String id) {
		return super.get(id);
	}
	
	public List<CaseMember> findList(CaseMember caseMember) {
		return super.findList(caseMember);
	}
	
	public Page<CaseMember> findPage(Page<CaseMember> page, CaseMember caseMember) {
		return super.findPage(page, caseMember);
	}
	
	@Transactional(readOnly = false)
	public void save(CaseMember caseMember) {
		super.save(caseMember);
	}
	
	@Transactional(readOnly = false)
	public void delete(CaseMember caseMember) {
		super.delete(caseMember);
	}
	
	
	
	
}